org.springframework.cloud.dataflow.server.service.impl.diff

## Class PropertiesDiff

- java.lang.Object
- - org.springframework.cloud.dataflow.server.service.impl.diff.PropertiesDiff

-     public final class PropertiesDiff
      extends Object

  `PropertiesDiff` is an implementation to come up with a difference between two String based Maps. This difference gives answer to questions like what has been added, removed and changed between left and right hand properties.
  Author:
    Janne Valkealahti

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PropertiesDiff.Builder` `Builder` for `PropertiesDiff`.
    `static class` | `PropertiesDiff.PropertyChange` Class representing a change in a property.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areEqual()` Check if given left and right hand side properties are equal.
    `static PropertiesDiff.Builder` | `builder()` Gets a `PropertiesDiff.Builder` for `PropertiesDiff`.
    `Map<String,String>` | `getAdded()` Gets the added properties.
    `Map<String,PropertiesDiff.PropertyChange>` | `getChanged()` Gets the changed properties.
    `Map<String,String>` | `getCommon()` Gets the common properties.
    `Map<String,String>` | `getDeleted()` Gets the deleted properties.
    `Map<String,String>` | `getRemoved()` Gets the removed properties.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getRemoved

          public Map<String,String> getRemoved()

      Gets the removed properties.
      Returns:
        the removed

    - #### getAdded

          public Map<String,String> getAdded()

      Gets the added properties.
      Returns:
        the removed

    - #### getCommon

          public Map<String,String> getCommon()

      Gets the common properties.
      Returns:
        the removed

    - #### getChanged

          public Map<String,PropertiesDiff.PropertyChange> getChanged()

      Gets the changed properties.
      Returns:
        the removed

    - #### getDeleted

          public Map<String,String> getDeleted()

      Gets the deleted properties.
      Returns:
        the deleted

    - #### areEqual

          public boolean areEqual()

      Check if given left and right hand side properties are equal.
      Returns:
        true, if successful

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### builder

          public static PropertiesDiff.Builder builder()

      Gets a `PropertiesDiff.Builder` for `PropertiesDiff`.
      Returns:
        the builder

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.